import { Client, Account, AppwriteException, Avatars, Databases, Functions, Graphql, ID, Locale, Permission, Query, Role, Storage, Teams, Messaging } from 'appwrite';
export type AppwriteConfig = {
    endpoint: string;
    project: string;
};
export type Appwrite = {
    config: AppwriteConfig;
    client: Client;
    account: Account;
    avatars: Avatars;
    database: Databases;
    functions: Functions;
    graphql: Graphql;
    locale: Locale;
    storage: Storage;
    teams: Teams;
    messaging: Messaging;
    Permission: typeof Permission;
    Query: typeof Query;
    Role: typeof Role;
    AppwriteException: typeof AppwriteException;
    ID: typeof ID;
};
declare const _default: import("#app").Plugin<{
    appwrite: {
        config: AppwriteConfig;
        client: Client;
        account: Account;
        avatars: Avatars;
        database: Databases;
        functions: Functions;
        graphql: Graphql;
        locale: Locale;
        storage: Storage;
        teams: Teams;
        messaging: Messaging;
        Permission: typeof Permission;
        Query: typeof Query;
        Role: typeof Role;
        AppwriteException: typeof AppwriteException;
        ID: typeof ID;
    };
}> & import("#app").ObjectPlugin<{
    appwrite: {
        config: AppwriteConfig;
        client: Client;
        account: Account;
        avatars: Avatars;
        database: Databases;
        functions: Functions;
        graphql: Graphql;
        locale: Locale;
        storage: Storage;
        teams: Teams;
        messaging: Messaging;
        Permission: typeof Permission;
        Query: typeof Query;
        Role: typeof Role;
        AppwriteException: typeof AppwriteException;
        ID: typeof ID;
    };
}>;
export default _default;
declare module '#app' {
    interface NuxtApp {
        $appwrite: Appwrite;
    }
}
declare module '@vue/runtime-core' {
    interface ComponentCustomProperties {
        $appwrite: Appwrite;
    }
}
